Webhook Management
Integrating the webhook service enables end users to receive notifications and updates regarding their account activity, transactions, security alerts, and other pertinent information. This integration ensures that users are promptly informed about important events related to their accounts.
📥 Get All Webhooks
This returns a list of all webhooks associated with a program.
GET {{baseUrl}}/getallwebhooks
📩 Request Headers
x-api-key string required
Content-Type string required
application/json🔍 Query Parameters
program_code string required
Response Example
{
"data": [
{
"event_description": "Onboarding",
"event_name": "account.submitted",
"program_code": "program-code"
},
{
"event_description": "Currency Conversion",
"event_name": "conversion.cancelled",
"program_code": "program-code"
},
{
"event_description": "Currency Conversion",
"event_name": "conversion.overdue",
"program_code": "program-code"
},
{
"event_description": "Currency Conversion",
"event_name": "conversion.scheduled",
"program_code": "program-code"
},
{
"event_description": "Currency Conversion",
"event_name": "conversion.settled",
"program_code": "program-code"
},
{
"event_description": "Virtual Account Creation",
"event_name": "ga.new",
"program_code": "program-code"
},
{
"event_description": "Card Status",
"event_name": "issuing.card.active",
"program_code": "program-code"
},
{
"event_description": "Card Status",
"event_name": "issuing.card.blocked",
"program_code": "program-code"
},
{
"event_description": "Cardholder Status",
"event_name": "issuing.cardholder.pending",
"program_code": "program-code"
},
{
"event_description": "Cardholder Status",
"event_name": "issuing.cardholder.ready",
"program_code": "program-code"
},
{
"event_description": "Card Transction",
"event_name": "issuing.transaction.succeeded",
"program_code": "program-code"
},
{
"event_description": "Payout Transfer",
"event_name": "payout.transfer.funding.funded",
"program_code": "program-code"
},
{
"event_description": "Request For Information",
"event_name": "rfi.action_required",
"program_code": "program-code"
}
],
"status": "success"
}
📨 Subscribe Webhook
Subscribe to a webhook for a specific event.
POST {{baseUrl}}/api/subscribe
📩 Request Headers
x-api-key string required
Content-Type string required
application/json📦 Request Body Parameters
event_name string required
subscription_type string required
w for webhook or n for notification )agent_code string required
subagent_code string required
program_code string required
company_code string required
created_by string required
webhook_url string conditional
sender_email string conditional
x-api-key string conditional
⚠️ Important Note on subscription_type
subscription_type: "w" (Webhook)- You must provide these fields in request body:
webhook_urlx-api-keysender_emailis not required in the request body.
subscription_type: "n" (Email Notification)- You do not need to provide these fields in request body:
webhook_urlx-api-keyProvide
sender_emailonly if your email ID has been whitelisted by Zoqq Support. Until then, all email notifications will be sent from Zoqq’s default system email.
If you want notification emails to be sent from your own email address instead of Zoqq’s generic email, you must contact Zoqq Customer Support to whitelist your email ID.
Request Body for subscription_type: "w"
{
"event_name": "{{event_name}}",
"subscription_type": "w",
"agent_code": "{{agent_code}}",
"subagent_code": "{{sub_agent_code}}",
"program_code": "{{Shared ProductID By Zoqq}}",
"company_code": "{{company_code}}",
"created_by": "Test",
"webhook_url": "{{webhook_url}}",
"x_api_key": "{{Shared X-API key By Zoqq}}"
}
Request Body for subscription_type: "n"
{
"event_name": "{{event_name}}",
"subscription_type": "n",
"agent_code": "{{agent_code}}",
"subagent_code": "{{sub_agent_code}}",
"program_code": "{{Shared ProductID By Zoqq}}",
"company_code": "{{company_code}}",
"created_by": "Test"
}
Response Example
{
{
"message": "Webhook successfully subscribed",
"status": "SUCCESS"
}
}
📥 Retrieve Subscribed Webhook Details
Retrieves the details of all subscribed webhooks for a specific program.
POST {{baseUrl}}/api/subscribedwebhook
📩 Request Headers
x-api-key string required
Content-Type string required
application/json📦 Request Body Parameters
agent_code string required
subagent_code string required
🔍 Query Parameters
program_code string required
Response Example
[
{
"agent_code": "agent-code",
"company_code": "company-code",
"created_by": "Pabitra",
"created_time": "Thu, 07 Aug 2025 09:34:19 GMT",
"event_name": "account.submitted",
"program_code": "program-code",
"sender_email": "notification@zoqq.com",
"sl_no": 1,
"subagent_code": "sub-agent-code",
"subscription_type": "n",
"updated_by": null,
"updated_time": "Thu, 07 Aug 2025 09:34:19 GMT",
"webhook_url": "test",
"x_api_key": "TEST"
},
{
"agent_code": "agent-code",
"company_code": "company-code",
"created_by": "Pabitra",
"created_time": "Thu, 07 Aug 2025 09:34:19 GMT",
"event_name": "conversion.cancelled",
"program_code": "program-code",
"sender_email": "notification@zoqq.com",
"sl_no": 2,
"subagent_code": "sub-agent-code",
"subscription_type": "n",
"updated_by": null,
"updated_time": "Thu, 07 Aug 2025 09:34:19 GMT",
"webhook_url": "test",
"x_api_key": "TEST"
}
]
♻️ Update Webhook
This API is used to update an existing webhook configuration. It allows you to modify the subscription type, webhook URL, x-api-key, and sender email through the request body.
PATCH {{baseUrl}}/api/subscribe
📩 Request Headers
x-api-key string required
Content-Type string required
application/json📦 Request Body Parameters
event_name string required
subscription_type string required
w for webhook or n for notification )agent_code string required
subagent_code string required
program_code string required
company_code string required
webhook_url string conditional
sender_email string conditional
x-api-key string conditional
updated_by string required
Request Example
{
"event_name": "{{event_name}}",
"subscription_type": "w",
"agent_code": "{{agent_code}}",
"subagent_code": "{{sub_agent_code}}",
"program_code": "{{Shared ProductID By Zoqq}}",
"company_code": "{{company_code}}",
"webhook_url": "{{webhook_url}}",
"x_api_key":"{{Shared X-API key By Zoqq}}",
"updated_by":"Test Admin"
}
Response Example
{
"message": "Successfully Updated the webhook",
"status": "SUCCESS"
}
❌ Delete Webhook
Delete an existing webhook subscription.
DELETE {{baseUrl}}/api/subscribe
📩 Request Headers
x-api-key string required
Content-Type string required
application/json📦 Request Body Parameters
event_name string required
agent_code string required
subagent_code string required
program_code string required
company_code string required
Request Example
{
"event_name": "{{event_name}}",
"agent_code": "{{agent_code}}",
"subagent_code": "{{sub_agent_code}}",
"program_code": "{{Shared ProductID By Zoqq}}",
"company_code": "{{company_code}}"
}
Response Example
{
"message": "Successfully Deleted the webhook",
"status": "SUCCESS"
}